#ifndef LILCODECDEFLATE_H_INCLUDED
#define LILCODECDEFLATE_H_INCLUDED

#include "Lil.h"

namespace lil {

LilErrorType DecodeZlib(void *pOut, const LilIoDesc *io, lil_u32 numBytesIn, const LilMemDesc *mem);
LilErrorType EncodeZlib(const void *pIn, const LilIoDesc *io, lil_u32 numBytesIn, LilCompressionLevelType level, const LilMemDesc *mem);

}  // namespace lil

#endif // LILCODECDEFLATE_H_INCLUDED
